Kerbal Space Program - Bug #2825

Ocean launch bug. Vehicle remains "splashed down"
07/23/2014 12:41 PM - babtras

Status: Closed Start date: 07/23/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

v 0.24.0.549 Windows (Steam). This issue has existed since at least 0.19 and is easily reproducible.

A launch vehicle is constructed and launched atop of a floating platform and then a larger launch vehicle. The vehicle is then sent to
an object with an ocean. This can be Kerbin, Laythe, or Eve. The launch vehicle is parachuted into the atmosphere and lands in the
ocean. The status on the map and tracking station correctly shows that the vehicle has "splashed down".

The re-launch stage is then activated and the craft is launched back into orbit. As the vehicle ascends, the status remains "splashed
down" and no trajectory is visible on the map, making the launch difficult. After successfully reaching orbit, the vehicle remains
"splashed down". | can EVA and then look at the map to see a trajectory of the Kerbal, but not the craft. Attempting to warp while
inside the craft results in a "Cannot warp faster than 1X while moving over terrain" despite being well above atmosphere.

This would only be a cosmetic issue with the status and lack of trajectory lines drawn but the vehicle gets stuck at a fixed point
relative to the surface and cannot then be intercepted for docking or rescue.

History

#1 - 01/14/2015 10:42 PM - RexKramer
- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Version changed from 0.24 to 0.90

Confirmed OS X 10.10.1, KSP 0.90. Offhand, | didn't see anything exciting in the player.log file. Should be very easy to duplicate.

Changing version to 0.90 from 0.24.

#2 - 11/21/2015 10:50 AM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Fixed in 1028, thanks for the report babtras :)

#3 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
